tosca_definitions_version: tosca_simple_yaml_1_0_0
node_types:
    policy.nodes.vnfPolicy:
        derived_from: policy.nodes.Root
        properties:
            policyScope:
                type: list
                description: scope where the policy is applicable
                required: true
                matchable: true
                entry_schema:
                    type: string
            policyType:
                type: list
                description: type of a policy
                required: true
                matchable: true
                entry_schema:
                    type: string
                    consraints:
                    -   valid_values:
                        - vnfPolicy
            identity:
                type: string
                required: true
            resources:
                type: list
                required: true
                entry_schema:
                    type: string
            applicableResources:
                type: list
                required: true
                entry_schema:
                    type: string
                    constraints:
                    -   valid_values:
                        - any
                        - all
            vnfProperties:
                type: list
                required: false
                entry_schema:
                -   type:policy.data.vnfProperties_properties
data_types:
    policy.data.vnfProperties_properties:
        derived_from: tosca.nodes.Root
        properties:
            inventoryProvider:
                type: string
                required: true
            serviceType:
                type: string
                required: false
            inventoryType:
                type: list
                required: true
                entry_schema:
                    type: string
                    constraints:
                    -   valid_values:
                        - serviceInstanceId
                        - vnfName
                        - cloudRegionId
                        - vimId
            customerId:
                type: string
                required: false
            orchestrationStatus:
                type: string
                required: false
            equipmentRole:
                type: string
                required: false
